On Nov 7, 2004, at 12:10, Ibraheem Umaru-Mohammed wrote:
> Is the source package untarring required? Shouldn't it work from 
> running
> rdoc under /usr/lib/ruby/1.8/ ? For some reason this seems to have
> worked for some (me), and not others...

You won't get the full or proper documentation that way (for example 
you won't see any of the stuff written in C, including the built-in 
classes such as String--these are in the C source, not the resulting 
binaries).

You also won't be able to take advantage of the .document files that 
direct RDoc what to include and what to omit.

In general, if you're looking at using a packaged Ruby, the packager 
should also have provided a pre-installed set of ri documentation. If 
not, I'd ask them to consider it.


Cheers

Dave